/*
 *  Aquamarine the KDE window decorator
 *
 *  Copyright (c) 2006 Dennis Kasprzyk <onestone@beryl-project.org>
 *  Copyright (c) 2006 Volker Krause <vkrause@kde.org>
 *
 *  Uses code of:
 *      Emerald window decorator (www.beryl-project.org)
 *      gtk-window-decorator (www.freedesktop.org/wiki/Software/Compiz)
 *      KWin window manager (www.kde.org)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 */

#ifndef AQUAMARINE_SHADOW_H
#define AQUAMARINE_SHADOW_H

#include <qpixmap.h>

#include <X11/extensions/Xrender.h>

#include "utils.h"
#include "options.h"

namespace Aquamarine
{

    class DefaultShadow
    {

      public:
        DefaultShadow ();
        ~DefaultShadow ();

      private:
		void renderShadow ();
        void updateWindowProperties ();
		XFixed *createGaussianKernel (int *r_size);
		void setPictureTransform (Picture p, int dx, int dy);

      private:

        QPixmap m_qpixmap;

		// shadow
		QRect m_soffset;
		int m_sradius;
		short m_scolor[4];
    };

}

#endif
